Skip to content
PATCH /unified/mdm/apps/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

device_type

The type of the device.

Possible values:
mobile
1 supported1 required
Jamf
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

app_idstring

A platform-specific application identifier. Examples: bundle identifier (macOS/iOS), package name (Android/Linux), product code or app ID (Windows), depending on the underlying product.

is_system_appboolean

Whether the software is a system/built-in application, when available

namestring

The name of the software/application

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

versionstring

The installed version of the software/application

Response Body

idstring
required·

The unique identifier for the installed software record

app_idstring

A platform-specific application identifier. Examples: bundle identifier (macOS/iOS), package name (Android/Linux), product code or app ID (Windows), depending on the underlying product.

app_id_typestring

The type of application identifier provided in app_id

Possible values:
bundle_idpackage_nameproduct_codeapp_idunknown
created_atstring · date-time

The date and time the installed software record was created

deviceobject

The device this software record is associated with

idstring
required·

The unique identifier for a device

install_pathstring

The install path of the software, when available

install_statestring

The installation state of the software on the device, when available from the underlying product

Possible values:
installedpendingfailedunknown
installed_atstring · date-time

The date and time the software was installed, when available

is_managedboolean

Whether the software is managed/deployed by the MDM/RMM product (as opposed to discovered/unmanaged), when available

is_system_appboolean

Whether the software is a system/built-in application, when available

last_seen_atstring · date-time

The date and time the software was last observed on the device, when available

namestring

The name of the software/application

platformstring

The platform family of the discovered/installed application

Possible values:
windowsmacoslinuxiosipadosandroidchromeosunknown
publisherstring

The publisher or vendor of the software/application

remote_dataRecord<string, any>

Raw data returned from the remote API call.

size_bytesinteger

The installed size of the software in bytes, when available

source_idstring

The identifier of the installed software record in the underlying product

tagsstring[]

Tags/labels associated with the installed software record

updated_atstring · date-time

The date and time the installed software record was last updated

versionstring

The installed version of the software/application

curl -X PATCH 'https://api.truto.one/unified/mdm/apps/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "your_name",
  "version": "your_version",
  "app_id": "your_app_id",
  "is_system_app": true,
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "name": "your_name",
  "version": "your_version",
  "app_id": "your_app_id",
  "is_system_app": true,
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/mdm/apps/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/mdm/apps/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "name": "your_name",
    "version": "your_version",
    "app_id": "your_app_id",
    "is_system_app": True,
    "remote_data": {}
}

response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.update(
  'mdm',
  'apps',
  '<resource_id>',
  {
  "name": "your_name",
  "version": "your_version",
  "app_id": "your_app_id",
  "is_system_app": true,
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.update(
        "mdm",
        "apps",
        "<resource_id>",
        {
        "name": "your_name",
        "version": "your_version",
        "app_id": "your_app_id",
        "is_system_app": True,
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())